{% extends "Interfaz/Usuario/index_login.html" %}

{% block template %}

	<form class="margin-bottom-0" id="login_form">
				
		<div class="form-group m-b-15">
			<input type="email" name="username" class="form-control form-control-lg" placeholder="Usuario" required />
		</div>
		<div class="form-group m-b-15">
			<input type="password" class="form-control form-control-lg" placeholder="Clave" name="password" required />
		</div>
		<div class="login-buttons">
			<button type="submit" class="btn btn-success btn-block btn-lg">Iniciar sesion</button>
		</div>

	</form>
	

{% endblock template %}

{% block logic %}

	App.init();


	$( "#login_form" ).submit(function( event ) {
		
		event.preventDefault()
	    var form = $(this)
	    var url = DOMINE_API.format('api/v1/user/token/auth/')

		$.ajax({
			type: "POST",
			url: url,
			data: form.serialize(), 
			success: function(data){
					Cookies.set('token', data['token']);
					$(location).attr('href', '{% url 'Interfaz:principal' TOKEN 2 %}');
			},
			error: function(error){
				$.gritter.add({
					title: 'No pudo iniciar sesion',
					text: 'Algunos de los datos son incorrectos',
					sticky: false,
					time: ''
				});
           },
        });

	});

{% endblock logic %}